# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Pod-Coverage
Version:	1.10
Release:	6.%{__distinit}%{__distvers}
Summary:	Check for POD coverage in your distribution
Group:		Development/Libraries
License:	Artistic 2.0
URL:		http://search.cpan.org/dist/Test-Pod-Coverage/
Source0:	http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/Test-Pod-Coverage-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Pod::Coverage)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(lib)
BuildRequires:	perl(Pod::Coverage::CountParents)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.14
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Checks for POD coverage in files for your distribution.

%prep
%setup -q -n Test-Pod-Coverage-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Pod::Coverage.3*

%changelog
* Wed Oct  5 2016 Paul Howarth <paul@city-fan.org> - 1.10-6
- Classify buildreqs by usage
- Simplify find command using -delete

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 1.10-2
- Perl 5.20 rebuild

* Fri Jul 18 2014 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Changed license to Artistic 2.0
  - Added README
  - Moved Coverage.pm to lib/Test/Pod/Coverage.pm
  - Minimum perl version now set to 5.006 in both code and dist metadata
    (CPAN RT#21564)
  - Added DESCRIPTION section to pod (CPAN RT#28715), and changed to a minimal
    SYNOPSIS, with everything else moved to the DESCRIPTION
  - The "no verbose" tests in t/nosymbols.t weren't ensuring that the tests
    were running with HARNESS_VERBOSE set to false - you could set that true in
    your environment and break the test (CPAN RT#53947)
  - Makefile.PL: Ensured all prereqs listed in PREREQ_PM, and TEST_REQUIRES set
    if a recent enough ExtUtils::MakeMaker
  - Added github repo to pod and dist metadata
  - Deleted the old META.yml, so new MYMETA.{yml,json} will be generated
  - Reformatted Changes file as per CPAN::Changes::Spec
- This release by NEILB → update source URL
- License changed to Artistic 2.0
- Package new upstream documentation
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 26 2012 Paul Howarth <paul@city-fan.org> - 1.08-15
- BR: perl(base), perl(lib) and perl(Test::Builder)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 1.08-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.08-7
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 1.08-6
- Fix dist tag to work with RHEL6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 1.08-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> - 1.08-4
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> - 1.08-3
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 1.08-2
- Fix dist tag for development builds and Fedora 7 onwards
- Define %%{__id_u} in a more portable way
- Remove unused %%{__perl_version} macro
- Fix argument order for find with -depth
- Add buildreq perl(ExtUtils::MakeMaker)

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08
- Don't use macros in build-time command paths, hardcode them instead
- Use search.cpan.org URL for source
- Unconditionally remove buildroot in %%clean and %%install

* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> - 1.06-4
- Import from Fedora Extras
- Remove "|| :" from %%check
- More specific files list

* Thu May 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-3
- Add dist tag

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.06-2
- Rebuilt

* Thu Jun 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.06-1
- Update to 1.06

* Wed Jun 02 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.04-0.fdr.1
- First build
